IXP_HANGUP(3)

NAME

ixp_hangup, ixp_server_close

SYNOPSIS
  #include <ixp.h>

  void ixp_hangup(IxpConn *c);

  void ixp_server_close(IxpServer *s);

DESCRIPTION

ixp_hangup closes a connection, and stops the server listening on it. It calls the connection's close function, if it exists. ixp_server_close calls ixp_hangup on all of the connections on which the server is listening.

SEE ALSO

ixp_listen(3), IxpServer(3), IxpConn(3)